## datalad-next 1.2.0

=== debian/changelog ===
datalad-next (1.2.0-1) unstable; urgency=medium

  * New upstream version with mostly bug fixes, including:
    - a more robust test for subprocess execution
      (Closes: #1061739)

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 02 Feb 2024 14:47:44 +0100

datalad-next (1.1.0-6) unstable; urgency=medium

  * Mark all autopkgtests as skip-not-installable. Although only affecting
    armel and armhf, an architecture constraint is not used, because the test
    dependencies are not a superset of the build-dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 29 Jan 2024 08:17:30 +0100

datalad-next (1.1.0-5) unstable; urgency=medium

  * Add missing dependency on 'python3-all' to autopkgtest setup for testing
    datalad-core patch compatibility.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 28 Jan 2024 12:13:53 +0100

datalad-next (1.1.0-4) unstable; urgency=medium

  * Add missing dependency on 'python3-all' to autopkgtest setup for testing
    all supported Python version with nonetwork-testsuite autopkgtest.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 26 Jan 2024 08:14:03 +0100

datalad-next (1.1.0-3) unstable; urgency=medium

  * Add missing dependency on 'unzip' to autopkgtest setup.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 25 Jan 2024 18:12:27 +0100

datalad-next (1.1.0-2) unstable; urgency=medium

  * Add missing dependency on 'psutil' to autopkgtest setup.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 24 Jan 2024 08:36:42 +0100

datalad-next (1.1.0-1) unstable; urgency=medium

  * New upstream version
    - Requires new (build) dependencies (Python packages psutil and
      more-itertools), and the unzip package for tests only.
  * Set Git identity for autopkgtest. This avoid warnings that let the
    test fail.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 21 Jan 2024 09:21:12 +0100

datalad-next (1.0.2-1) unstable; urgency=medium

  * Initial upload (Closes: #1032226)

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 25 Oct 2023 14:59:23 +0000
