=== debian/control ===
Source: datalad-next
Priority: optional
Section: science
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@oneukrainian.com>,
 Vasyl Gello <vasek.gello@gmail.com>,
 Michael Hanke <michael.hanke@gmail.com>
Build-Depends:
# Build
 debhelper (>= 10),
 dh-python,
 dh-sequence-python3,
 datalad (>= 0.18.4~),
 python3-all,
 python3-annexremote,
 python3-humanize,
 python3-more-itertools,
 python3-psutil,
 python3-requests,
 python3-requests-toolbelt,
 python3-setuptools,
# Testing
 python3-webdavclient <!nocheck>,
 python3-pytest <!nocheck>,
 unzip,
# Docs
 dh-sequence-sphinxdoc,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
Vcs-Git: https://salsa.debian.org/python-team/packages/datalad-next.git -b debian/sid
Homepage: https://datalad-next.rtfd.org
X-Python3-Version: >= 3.8

Package: python3-datalad-next
Architecture: all
Depends:
 python3-requests,
 python3-requests-toolbelt,
 ${misc:Depends},
 ${python3:Depends}
Description: DataLad extension for new features and improved user experience
 This extension provides feature additions and updates for DataLad
 (http://datalad.org). Unlike other more topical extensions, the provided
 functionality is broadly applicable, and each individual components is
 a candidate for migration into the DataLad core package. This includes
 new commands that become available through DataLad when this package is
 installed, but also runtime-modifications of other DataLad functionality
 that are enabled when the extension is loaded (see 'datalad.extensions.load'
 configuration switch). Examples are:
 .
  - credential management system, and better integration with commands
  - support for dataset deposit/retrieval via WebDAV
  - support for git-annex-export in DataLad's push command
  - performance boosts for individual commands and IO throughput
  - additional git-annex special remotes for leaner archive access and
    dynamic, identifier-based access URL composition -- accessible
    via a dedicated 'download' command
  - Git remote helper to fetch/push from/to any place accessible via a
    git-annex special remote
 .
 This package contains the Python module and the documentation.
