=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+dfsg, \
      compression=gz, \
      dversionmangle=auto" \
https://github.com/datalad/datalad-next \
refs/tags/@ANY_VERSION@ \
debian
