## datalad-next 1.4.1

=== debian/changelog ===
datalad-next (1.4.1-1ubuntu2) oracular; urgency=medium

  * d/t/control: add Depends: @builddeps@ for a test

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Sep 2024 13:31:47 -0400

datalad-next (1.4.1-1ubuntu1) oracular; urgency=medium

  * d/control: Build-Depends: python3-boto3 (LP: #2079776)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 05 Sep 2024 22:48:41 -0400

datalad-next (1.4.1-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream version 1.4.1.
  * Drop all patches, merged upstream.

  [ Vasyl Gello ]
  * d/watch: Drop unnecessary repack
  * d/control: Add commas after build-dep lines so that adding new
    build-deps does not require additional rebuilds due to missing commas.

 -- Michael Hanke <mih@debian.org>  Wed, 22 May 2024 00:23:40 +0200

datalad-next (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0 (skipped 1.3.0)
    - New shell context manager for interaction with (remote)
      shells and execution of commands with input/output handling
      via Python iterators.
    - Progress reporting for RIA store IO.
    - More robust and correct behavior for next-status command
      and underlying iterators.
  * Updated package descriptions.
  * Updated maintainer email.
  * Add patch for missing import in test fallback
  * Add patch that corrects execution path of git-helper in iter_gitdiff()
    It needs to run in the target repo, but ran in CWD instead.
  * Add patch addressing pytest warning for unregistered marks.
    Some/most should be registered by datalad-core.
  * Add patch to avoid helper dataclass vs test class name confusion
  * Add patch to relax some type assumptions until upstream investigation

 -- Michael Hanke <mih@debian.org>  Mon, 20 May 2024 16:14:40 +0200
