=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: datalad-next
 Priority: optional
 Section: science
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Yaroslav Halchenko <debian@oneukrainian.com>,
  Vasyl Gello <vasek.gello@gmail.com>,
- Michael Hanke <michael.hanke@gmail.com>
+ Michael Hanke <mih@debian.org>
 Build-Depends:
 # Build
  debhelper (>= 10),
@@ -14,6 +15,7 @@
  datalad (>= 0.18.4~),
  python3-all,
  python3-annexremote,
+ python3-boto3,
  python3-humanize,
  python3-more-itertools,
  python3-psutil,
@@ -26,7 +28,7 @@
  unzip,
 # Docs
  dh-sequence-sphinxdoc,
- python3-sphinx-rtd-theme
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
@@ -40,7 +42,7 @@
  python3-requests,
  python3-requests-toolbelt,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Description: DataLad extension for new features and improved user experience
  This extension provides feature additions and updates for DataLad
  (http://datalad.org). Unlike other more topical extensions, the provided
@@ -61,4 +63,15 @@
   - Git remote helper to fetch/push from/to any place accessible via a
     git-annex special remote
  .
+ Moreover, this packages provides utilities to facilitate DataLad-based
+ development efforts:
+ .
+  - framework for uniform command parameter validation
+  - improved base class and utilities for git-annex special remote
+    implementations
+  - reusable pytest fixtures for common test scenarios
+  - iter_subproc() helper for communication with subprocesses
+    via input/output iterables
+  - shell context manager for interaction with (remote) shells
+ .
  This package contains the Python module and the documentation.
