=== debian/tests/control ===
# can the module be imported without any fuzz
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import datalad_next; print(datalad_next)" ; done
Depends: python3-all, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=plain-import

# do all datalad patches apply cleanly
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import datalad_next.patches.enabled" ; done
Depends: python3-all, datalad, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=apply-datalad-patches

# does datalad report the extension module to be known
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; test "$(datalad -f '{infos[extensions][next][module]}' wtf -S extensions)" = "datalad_next"
Depends: datalad, python3-datalad-next, 
Restrictions: superficial, skip-not-installable
Features: test-name=extension-registered

# run full test battery (minus tests that need external resources)
# we run the tests in AUTOPKGTEST_TMP while pointing pytest to the root of
# the extracted source package for test discovery, to avoid accidental
# imports from the source tree
Test-Command: set -e ; export GIT_AUTHOR_NAME=debian; export GIT_AUTHOR_EMAIL=debian@datalad.org; export DATALAD_TESTS_NONETWORK=1; SRCDIR=$(pwd); for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -m pytest -s -v "${SRCDIR}/datalad_next" ; done
Depends: python3-all, datalad, python3-datalad-next, python3-pytest, python3-webdavclient, python3-psutil, unzip, @builddeps@
Restrictions: allow-stderr, skip-not-installable
Features: test-name=nonetwork-testsuite
