## datalad-next 1.5.0

=== debian/changelog ===
datalad-next (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-pytest. Closes: #1116725.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 12:10:00 +0200

datalad-next (1.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Michael Hanke ]
  * Add python3-boto3 as a test-dependency.

  [ Colin Watson ]
  * New upstream release.
  * test: fix test_tree_with_broken_symlinks on Python 3.13 (closes:
    #1088038).
  * Build-depend on python3-boto3 (closes: #1080969, LP: #2079776).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Dec 2024 00:14:10 +0000
