=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: datalad-next
 Priority: optional
 Section: science
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Yaroslav Halchenko <debian@oneukrainian.com>,
  Vasyl Gello <vasek.gello@gmail.com>,
@@ -19,18 +18,17 @@
  python3-humanize,
  python3-more-itertools,
  python3-psutil,
+ python3-pytest,
  python3-requests,
  python3-requests-toolbelt,
  python3-setuptools,
 # Testing
  python3-webdavclient <!nocheck>,
- python3-pytest <!nocheck>,
  unzip,
 # Docs
  dh-sequence-sphinxdoc,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad-next
 Vcs-Git: https://salsa.debian.org/python-team/packages/datalad-next.git -b debian/sid
 Homepage: https://datalad-next.rtfd.org
